Skip to content

Authentication API

Request Description

Request Headers

Parameter NameChinese NameRequiredExample ValueDescription
AuthorizationAuthentication InfoRequiredBasic UnFCMkhKdNOWk9xWA==Use client_id and client_secret for Base64-encoded authentication, format is base64(client_id:client_secret)
Content-TypeData TypeRequiredapplication/x-www-form-urlencodedSubmit parameters using form data

Request Parameters

Parameter NameChinese NameRequiredTypeDescription
grant_typeGrant TypeYesStringFixed value client_credentials

Request Example

bash
POST https://{your_domain}/api/v2/tenant/token
Authorization: Basic UnFCMkhKdGt6bFU...aT0NObkk4NlNOWk9xWA==
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials

Response Example

Success Example

json
{
    "access_token": "e665e923-9904",
    "token_type": "bearer",
    "expires_in": 1719,
    "scope": "all",
    "id_token": "eyJraWMSIs.eyJQwWVzQOrwNYo.ELddR0yVUQXgupYWNtS"
}

Token Expired or Invalid Error Example

HTTP Status: 400

json
{
    "error": "invalid_token",
    "error_description": "Invalid access"
}

Response Parameters

Parameter NameChinese NameTypeDescription
access_tokenAPI Access TokenStringThis parameter must be provided for all subsequent interface access
token_typeToken TypeStringDefault is bearer
expires_inExpiration TimeintUnit is seconds, default 1800s
scopeAuthorization ScopeStringDefault is all

BambooCloud IDaaS Open Platform